This class displays a color range used by areas (in case you set values for your areas).

### Properties

Property | Type | Default | Description
--- | --- | --- | ---
borderAlpha | Number | 1 | Border opacity.
borderColor | Color | #FFFFFF | Border color.
borderThickness | Number | 1 | Border thickness.
bottom | Number | 10 | Distance from bottom of the map container to the value legend.
color | Color | #000000 | Text color.
enabled | Boolean | true | Specifies if value legend is enabled.
fontSize | Number | 11 | Font size.
height | Number | 12 | Height of value legend.
left | Number | 10 | Distance from left of the map container to the value legend.
maxValue | String |  | Value, which will be displayed on the right of the legend (will display max value in case not set any).
minValue | String | 0 | Value which will be displayed on the left of a legend.
right | Number |  | Distance from right of the map container to the value legend.
showAsGradient | Boolean | false | Specifies if color range should be displayed as a gradient or as a set of rectangles, each with different color.
top | Number |  | Distance from top of the map container to the value legend.
width | Number | 200 | Width of value legend.

### Methods

ValueLegend class does not have any methods.

### Events

ValueLegend class does not have any events.